FreeBSD : libxine -- buffer-overflow vulnerability in aiff support (64c8cc2a-59b1-11d9-8a99-000c6e8f12ef)

Critical Nessus Plugin ID 18962


The remote FreeBSD host is missing a security-related update.


Due to a buffer overflow in the open_aiff_file function in demux_aiff.c, a remote attacker is able to execute arbitrary code via a modified AIFF file.


Update the affected package.

See Also

Plugin Details

Severity: Critical

ID: 18962

File Name: freebsd_pkg_64c8cc2a59b111d98a99000c6e8f12ef.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/07/13

Modified: 2013/08/10

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libxine, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2004/12/29

Vulnerability Publication Date: 2004/12/15

Reference Information

CVE: CVE-2004-1300